%define pd_version 0.42.5

%define syncgrain_revision 5151
%define syncgrain_version 0.0
%define syncgrain_svndate 20090723.124947

Summary: Synchronous granular synthesis external for Pd
Name: pd-syncgrain
Version: %{syncgrain_version}
Release: 0.2.svn%{syncgrain_revision}%{?dist}
Epoch: 2
License: GPL
Group: Applications/Multimedia
URL: hhttp://grrrr.org/ext/syncgrain/
Source0: syncgrain-%{syncgrain_version}-svn%{syncgrain_revision}.tar.bz2
Source1: pd-syncgrain-get-svn
Patch0: syncgrain-build.patch
Patch1: pd-syncgrain-gcc.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Packager: Fernando Lopez-Lezcano
Vendor: Planet CCRMA
Distribution: Planet CCRMA

Requires: pd-extended >= %{pd_version}

BuildRequires: pd-flext-devel sndobj

%description
Synchronous granular synthesis external.

%prep
%setup -q -n syncgrain-%{version}
%patch0 -p1
%patch1 -p1

%build
# remove all .svn directories
find . -type d -name .svn | xargs %{__rm} -rf

# first time fails, but prepares environment
(bash %{_libdir}/flext/build.sh pd gcc SHARED=true || :)
bash %{_libdir}/flext/build.sh pd gcc SHARED=true

%install
%{__rm} -rf %{buildroot}

# install the external
bash %{_libdir}/flext/build.sh pd gcc SHARED=true  install INSTPATH=%{buildroot}%{_libdir}/pd-extended/extra

# and the pd files
mkdir -p %{buildroot}%{_libdir}/pd-extended/doc/5.reference/syncgrain
install -m 0644 pd/syncgrain~-help.pd %{buildroot}%{_libdir}/pd-extended/doc/5.reference/syncgrain
install -m 0644 pd-linux/syncgrain.pd %{buildroot}%{_libdir}/pd-extended/doc/5.reference/syncgrain
cp README %{buildroot}%{_libdir}/pd-extended/doc/5.reference/syncgrain/README.txt

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc README
%{_libdir}/pd-extended/extra/syncgrain~.pd_linux
%{_libdir}/pd-extended/doc/5.reference/syncgrain

%changelog
* Mon Nov 29 2010 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> - 2:0.0-0.2.svn5151
- build for fc14 and x86_64
- add patch for float* cast

* Tue Jul 21 2009 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> - 
- initial build, used to be part of pd-extended
- I could not find an up to date svn or cvs version of this so this
  is extracted from the pd-extended repository (it depends on flext
  so it is not part of the build system of pd-extended). 
- add patch to fix build
